Subject: Re: [IPFIX] draft-ietf-ipfix-ie-doctors-04.txt

From: Paul Aitken <[email-masked]>
Date: Mon, 03 Sep 2012 16:11:37 +0100

Brian, All,

There's a disconnect between RFC 5610 and IANA's IPFIX registry which 
affects ie-doctors:

Section 3.7 of RFC 5610 defines IE units and states, "new types may be 
added on a First Come First Served [RFC5226 
<http://tools.ietf.org/html/rfc5226>] basis."

Cection 4.4. of IE-doctors confirms: "Note that the Units subregistry is 
maintained on a First Come, First Served basis."

However IANA's registry states that Expert Review is required. See 
http://www.iana.org/assignments/ipfix/ipfix.xml#ipfix-information-element-units

I suggest that Expert Review is more correct, since FCFS has no review. 
 From RFC 5226:

             There is no substantive
             review of the request, other than to ensure that it is
             well-formed and doesn't duplicate an existing assignment.

Currently anyone could request any new units, and IANA would have to 
honour the request even if it was stupid or irrelevant.
Whereas with Expert Review, stupid requests could be rejected since 
"approval by a Designated Expert is required."

Regarding Expert Review, RFC 5226 says:

             The required documentation and review
             criteria for use by the Designated Expert should be provided
             when defining the registry.  For example, see Sections 6 and
             7.2 in [RFC3748].

Currently the "IPFIX Information Elements" and "IPFIX Information 
Element Units" require Expert Review without defining any documentation 
or review criteria.

We should address that, eg, "Experts must double check the 
...whatever... with already defined label types for completeness, 
accuracy, relevance, and redundancy."

P.

---

From: Brian Trammell <[email-masked]>
Date: Mon, 3 Sep 2012 18:42:54 +0200

Hi, Paul,

Interesting. 

I hadn't checked the registry, but I can say that the FCFS policy for Units was intentional: imagine a an enterprise-specific information element designed to do something very odd with unorthodox units, say, counting rats crawling around in the underfloor space in a data center (perhaps to attempt to correlate packet loss with rodent infestation). Now, the IEs for this would be ESIEs, but since this is a research study, we'd want to annotate the data (stored in files) with 5610 type information records. 

However, on review, perhaps Units in the IANA registry should cover only those IEs in the IANA registry, and if you want to do something really odd, you should leave units blank and explain "expressed in rats per cubic meter as measured by the Yoyodyne Underfloor Rat Counter model 19" in the informationElementDescription field. But that was the intent.

If we decide this, the proper thing to do is to go with the registry as is and change IE-DOCTORS to update RFC 5610.

Cheers,

Brian

On Sep 3, 2012, at 5:11 PM, Paul Aitken wrote:

> Brian, All,
> 
> There's a disconnect between RFC 5610 and IANA's IPFIX registry which affects ie-doctors:
> 
> Section 3.7 of RFC 5610 defines IE units and states, "new types may be added on a First Come First Served [RFC5226]     basis."
> 
> Cection 4.4. of IE-doctors confirms: "Note that the Units subregistry is maintained on a First Come, First Served basis."
> 
> However IANA's registry states that Expert Review is required. See http://www.iana.org/assignments/ipfix/ipfix.xml#ipfix-information-element-units
> 
> 
> I suggest that Expert Review is more correct, since FCFS has no review. From RFC 5226:
>             There is no substantive
> Currently anyone could request any new units, and IANA would have to honour the request even if it was stupid or irrelevant.
> Whereas with Expert Review, stupid requests could be rejected since "approval by a Designated Expert is required."
> 
> 
> Currently the "IPFIX Information Elements" and "IPFIX Information Element Units" require Expert Review without defining any documentation or review criteria.
> 
> We should address that, eg, "Experts must double check the ...whatever... with already defined label types for completeness, accuracy, relevance, and redundancy."
> 
> P.
> 
> 
>

---

From: Paul Aitken <[email-masked]>
Date: Mon, 03 Sep 2012 18:08:58 +0100

Brian,

> I hadn't checked the registry, but I can say that the FCFS policy for Units was intentional: imagine a an enterprise-specific information element designed to do something very odd with unorthodox u…

ie, 5610 allows units to be expressed for enterprise-specific IEs.

> However, on review, perhaps Units in the IANA registry should cover only those IEs in the IANA registry, and if you want to do something really odd, you should leave units blank and explain "expres…

This would prevent 5610 from working properly, since I couldn't created 
a "rats" unit for my ESIEs.

And if an IE is already in IANA's IPFIX registry, then it already has a 
type - so there'd be no need for it in 5610.

> If we decide this, the proper thing to do is to go with the registry as is and change IE-DOCTORS to update RFC 5610.

I think the "IPFIX units" registry should be subject to expert review - 
which allows enterprises to request "rats" for their enterprise-specific 
IEs if they want to use 5610, provided they can convince the expert 
reviewer that they have an IPFIX-enabled rat counter.

However, it ensures that IANA won't assign a lot of stupid units which 
may be requested by miscreants.

If all agree, then I'd be happy for IE-docs to update 5610 (and leave 
the registry unchanged).

P.

---

From: Brian Trammell <[email-masked]>
Date: Mon, 3 Sep 2012 19:53:06 +0200

Hi, Paul,

As the registry (to date) has been de facto expert review (and there have been no registrations), I don't see any problem with this.

However, can IE-DOCTORS update 5610? 5610 is Standards Track, and IE-DOCTORS targets BCP. If not, this would be a technical erratum on 5610.

Cheers,

Brian

On Sep 3, 2012, at 7:08 PM, Paul Aitken wrote:

> This would prevent 5610 from working properly, since I couldn't created a "rats" unit for my ESIEs.
> 
> And if an IE is already in IANA's IPFIX registry, then it already has a type - so there'd be no need for it in 5610.
> 
> 
> I think the "IPFIX units" registry should be subject to expert review - which allows enterprises to request "rats" for their enterprise-specific IEs if they want to use 5610, provided they can convince the expert reviewer that they have an IPFIX-enabled rat counter.
> 
> However, it ensures that IANA won't assign a lot of stupid units which may be requested by miscreants.
> 
> If all agree, then I'd be happy for IE-docs to update 5610 (and leave the registry unchanged).
> 
> P.

---

From: Brian Trammell <[email-masked]>
Date: Fri, 14 Sep 2012 15:34:57 +0200

Hi, Paul, all,

On reflection, I can't really see how fixing the status of the Units registry in 5610 would be in scope for this draft; therefore, in my opinion, ie-doctors-04 is in its present state ready for the IESG, with the note that a revision addressing comments/discusses from the IESG will also include an update to note that Units is extended subject to Expert Review, and to correct Benoit's address.

I'm still not certain as to the best approach to fix 5610 with respect to its definition of the Units registry as FCFS; would a technical erratum suffice? (Is there an AD in the house with an opinion? :) )

Best regards,

Brian

On Sep 3, 2012, at 7:53 PM, Brian Trammell wrote:

> _______________________________________________
> IPFIX mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ipfix